Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Aug 2022 17:15:39 -0400

> fixes in every major (and minor) modes were not the way to go.

I think we do want to encourage such fixes since they have other
benefits.  So while we can't rely on those happening everywhere, indeed,
we do want to be able to take advantage of them, otherwise there won't
be any incentive to fix those problems.

        Stefan